org.baraza.utils

## Class Bio

- java.lang.Object
- - org.baraza.utils.Bio

-     public class Bio
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bio()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `create(String configDir, String path, String xmlfile, String xmldata)`
    `boolean` | `FileExists(String fileName)`
    `String` | `getCurrentDir()`
    `String` | `loadFile(File file)`
    `String` | `loadFile(FileReader fr)`
    `String` | `loadFile(String fileName)`
    `BufferedImage` | `loadImage(String path)`
    `boolean` | `mkdir(String dirName)`
    `void` | `saveFile(File file, InputStream in)`
    `void` | `saveFile(File file, String mystr)`
    `void` | `saveFile(String fileName, String mystr)`
    `void` | `saveFile(String fileName, String mystr, boolean append)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bio

          public Bio()

  - ### Method Detail

    - #### create

          public boolean create(String configDir,
                       String path,
                       String xmlfile,
                       String xmldata)

    - #### getCurrentDir

          public String getCurrentDir()

    - #### mkdir

          public boolean mkdir(String dirName)

    - #### FileExists

          public boolean FileExists(String fileName)

    - #### loadFile

          public String loadFile(File file)

    - #### loadFile

          public String loadFile(String fileName)

    - #### loadFile

          public String loadFile(FileReader fr)

    - #### saveFile

          public void saveFile(String fileName,
                      String mystr,
                      boolean append)

    - #### saveFile

          public void saveFile(String fileName,
                      String mystr)

    - #### saveFile

          public void saveFile(File file,
                      String mystr)

    - #### saveFile

          public void saveFile(File file,
                      InputStream in)

    - #### loadImage

          public BufferedImage loadImage(String path)

Copyright © 2016 openBaraza. All Rights Reserved.